package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.JobInformationInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface JobInformationInfoDAO {
	int insert(JobInformationInfo entity);
	int update(JobInformationInfo entity);
	int exist(String id);
	JobInformationInfo get(String id);
	int delete(String id);
	List<JobInformationInfo> list();
	Integer countList(@Param("searchParams") Map<String, Object> searchParams);
	List<JobInformationInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<JobInformationInfo> searchMobile(Map<String, Object> searchParams, List<Sort> sortList);

	JobInformationInfo findByPersonId(String personId);

}