package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.PersonLoginLog;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface PersonLoginLogDAO {
	int insert(PersonLoginLog entity);
	int update(PersonLoginLog entity);
	int exist(String id);
	PersonLoginLog get(String id);
	int delete(String id);
	List<PersonLoginLog> list();
	List<PersonLoginLog> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<Map> dailyReport(Map<String, Object> searchParams, List<Sort> sortList);
	Integer dailyReportList(@Param("searchParams") Map<String, Object> searchParams);
	List<String> totalDailyReportList(@Param("searchParams") Map<String, Object> searchParams);
	PersonLoginLog findTopByPersonId(String personId);
	PersonLoginLog lastLogin(String personId);

}