package com.jpsoft.employment.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.ShareWorksInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface ShareWorksInfoDAO {
	int insert(ShareWorksInfo entity);
	int update(ShareWorksInfo entity);
	int exist(String id);
	ShareWorksInfo get(String id);
	int delete(String id);
	List<ShareWorksInfo> list();
	List<ShareWorksInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<ShareWorksInfo> searchMobile(Map<String, Object> searchParams, List<Sort> sortList);
}