package com.jpsoft.employment.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.TrainingInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface TrainingInfoDAO {
	int insert(TrainingInfo entity);
	int update(TrainingInfo entity);
	int exist(String id);
	TrainingInfo get(String id);
	int delete(String id);
	List<TrainingInfo> list();
	List<TrainingInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}