package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.GenerateReport;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface GenerateReportService {
	GenerateReport get(String id);
	boolean exist(String id);
	int insert(GenerateReport model);
	int update(GenerateReport model);
	int delete(String id);
	List<GenerateReport> list();
	GenerateReport findByDate(Map<String, Object> searchParams);
	Page<GenerateReport> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}