package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.JobEnterpriseRelation;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface JobEnterpriseRelationService {
	JobEnterpriseRelation get(String id);
	boolean exist(String id);
	int insert(JobEnterpriseRelation model);
	int update(JobEnterpriseRelation model);
	int delete(String id);
	List<JobEnterpriseRelation> list();
	Page<JobEnterpriseRelation> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<JobEnterpriseRelation> pageSearchMobile(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	List<JobEnterpriseRelation> findByEnterpriseId(String enterpriseId);
	JobEnterpriseRelation findByEnterpriseIdAndJobInformationId(String enterpriseId,String jobInformationId);
	Integer countByJobInformationId(String jobInformationId);
	int findNotReadNumByEnterpriseId(String enterpriseId);
	int findNotReadNumByPersonId(String personId);

	JobEnterpriseRelation findByPersonIdAndRecruitId(String personId,String recruitId);
}