package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.PersonLoginLog;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface PersonLoginLogService {
	PersonLoginLog get(String id);
	boolean exist(String id);
	int insert(PersonLoginLog model);
	int update(PersonLoginLog model);
	int delete(String id);
	List<PersonLoginLog> list();
	Page<PersonLoginLog> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<Map> dailyReportPage(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Integer dailyReportList(Map<String, Object> searchParams);
	List<String> totalDailyReportList(Map<String, Object> searchParams);
	PersonLoginLog lastLogin(String personId);

	PersonLoginLog findTopByPersonId(String personId);
}