package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.RecruitPersonRelation;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface RecruitPersonRelationService {
	RecruitPersonRelation get(String id);
	boolean exist(String id);
	int insert(RecruitPersonRelation model);
	int update(RecruitPersonRelation model);
	int delete(String id);
	List<RecruitPersonRelation> list();
	Page<RecruitPersonRelation> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<RecruitPersonRelation> pageSearchMobile(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	RecruitPersonRelation findByRecruitIdAndPersonId(String recruitId,String personId);

	List<RecruitPersonRelation> findByPersonId(String personId);

	Integer isReadCountByRecruit(String recruitId);
	int findNotReadNumByEnterpriseId(String enterpriseId);
	int findNotReadNumByPersonId(String personId);

	RecruitPersonRelation findByPersonIdAndRecruitId(String personId, String recruitId);
	Integer dailyReportList(Map<String, Object> searchParams);
}