package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.TrainingPerson;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface TrainingPersonService {
	TrainingPerson get(String id);
	boolean exist(String id);
	int insert(TrainingPerson model);
	int update(TrainingPerson model);
	int delete(String id);
	List<TrainingPerson> list();
	Page<TrainingPerson> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	TrainingPerson findByTrainingIdAndPersonId(String trainingId,String personId);
}