package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.EnterpriseInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface EnterpriseInfoDAO {
	int insert(EnterpriseInfo entity);
	int update(EnterpriseInfo entity);
	int exist(String id);
	EnterpriseInfo get(String id);
	int delete(String id);
	List<EnterpriseInfo> list();
	List<EnterpriseInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	EnterpriseInfo findByName(String name);
	Integer dailyReportList(@Param("searchParams")Map<String, Object> searchParams);
}