package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.GenerateReport;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface GenerateReportDAO {
	int insert(GenerateReport entity);
	int update(GenerateReport entity);
	int exist(String id);
	GenerateReport get(String id);
	int delete(String id);
	List<GenerateReport> list();
	GenerateReport findByDate(@Param("searchParams") Map<String, Object> searchParams);
	List<GenerateReport> search(Map<String, Object> searchParams, List<Sort> sortList);
}