package com.jpsoft.employment.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.MobileBannerInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface MobileBannerInfoDAO {
	int insert(MobileBannerInfo entity);
	int update(MobileBannerInfo entity);
	int exist(String id);
	MobileBannerInfo get(String id);
	int delete(String id);
	List<MobileBannerInfo> list();
	List<MobileBannerInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}