package com.jpsoft.employment.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.NewsInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface NewsInfoDAO {
	int insert(NewsInfo entity);
	int update(NewsInfo entity);
	int exist(String id);
	NewsInfo get(String id);
	int delete(String id);
	List<NewsInfo> list();
	List<NewsInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}