package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.RecruitInformationInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface RecruitInformationInfoDAO {
	int insert(RecruitInformationInfo entity);
	int update(RecruitInformationInfo entity);
	int exist(String id);
	RecruitInformationInfo get(String id);
	int delete(String id);
	List<RecruitInformationInfo> list();
	List<RecruitInformationInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<RecruitInformationInfo> searchMobile(Map<String, Object> searchParams, List<Sort> sortList);
	Integer dailyReportList(@Param("searchParams")Map<String, Object> searchParams);
	Integer sumJobRequirementNum(@Param("searchParams")Map<String, Object> searchParams);
}