package com.jpsoft.employment.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.TrainingPerson;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface TrainingPersonDAO {
	int insert(TrainingPerson entity);
	int update(TrainingPerson entity);
	int exist(String id);
	TrainingPerson get(String id);
	int delete(String id);
	List<TrainingPerson> list();
	List<TrainingPerson> search(Map<String, Object> searchParams, List<Sort> sortList);

	TrainingPerson findByTrainingIdAndPersonId(String trainingId,String personId);
}