package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_mobile_banner_info的实体类
 */
public class MobileBannerInfo {
	private String id;
	private String name;
	private String classify;
	private String linkUrl;
	private String picUrl;
	private Boolean enabled;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private Integer sortNo;
	private String linkPicUrl;
	private Date startTime;
	private Date endTime;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取幻灯片标题
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置幻灯片标题
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取幻灯片分类
	 */
	public String getClassify(){
		return classify;
	}
	
	/**
	 *设置幻灯片分类
	 */
	public void setClassify(String classify){
		this.classify = classify;
	}
		/**
	 *获取幻灯片链接地址
	 */
	public String getLinkUrl(){
		return linkUrl;
	}
	
	/**
	 *设置幻灯片链接地址
	 */
	public void setLinkUrl(String linkUrl){
		this.linkUrl = linkUrl;
	}
		/**
	 *获取幻灯片图片
	 */
	public String getPicUrl(){
		return picUrl;
	}
	
	/**
	 *设置幻灯片图片
	 */
	public void setPicUrl(String picUrl){
		this.picUrl = picUrl;
	}
		/**
	 *获取0-未审核，1-已审核
	 */
	public Boolean getEnabled(){
		return enabled;
	}
	
	/**
	 *设置0-未审核，1-已审核
	 */
	public void setEnabled(Boolean enabled){
		this.enabled = enabled;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取序号
	 */
	public Integer getSortNo(){
		return sortNo;
	}
	
	/**
	 *设置序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}
		/**
	 *获取幻灯片图片2
	 */
	public String getLinkPicUrl(){
		return linkPicUrl;
	}
	
	/**
	 *设置幻灯片图片2
	 */
	public void setLinkPicUrl(String linkPicUrl){
		this.linkPicUrl = linkPicUrl;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取开始时间
	 */
	public Date getStartTime(){
		return startTime;
	}
	
	/**
	 *设置开始时间
	 */
	public void setStartTime(Date startTime){
		this.startTime = startTime;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取结束时间
	 */
	public Date getEndTime(){
		return endTime;
	}
	
	/**
	 *设置结束时间
	 */
	public void setEndTime(Date endTime){
		this.endTime = endTime;
	}
}