package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.EnterpriseInfo;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface EnterpriseInfoService {
	EnterpriseInfo get(String id);
	boolean exist(String id);
	int insert(EnterpriseInfo model);
	int update(EnterpriseInfo model);
	int delete(String id);
	List<EnterpriseInfo> list();
	Page<EnterpriseInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	EnterpriseInfo findByName(String name);
	Integer dailyReportList(Map<String, Object> searchParams);
}