package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.JobInformationInfo;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface JobInformationInfoService {
	JobInformationInfo get(String id);
	boolean exist(String id);
	int insert(JobInformationInfo model);
	int update(JobInformationInfo model);
	int delete(String id);
	List<JobInformationInfo> list();
	Integer countList(Map<String, Object> searchParams);
	Page<JobInformationInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<JobInformationInfo> pageSearchMobile(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	JobInformationInfo findByPersonId(String personId);
}