package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.PersonInfo;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.jpsoft.employment.modules.sys.entity.User;

public interface PersonInfoService {
	PersonInfo get(String id);
	boolean exist(String id);
	int insert(PersonInfo model);
	int update(PersonInfo model);
	int delete(String id);
	List<PersonInfo> list();
	Page<PersonInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

	PersonInfo findByOpenId(String openId);
	int clearOpenId(String id);
	PersonInfo findByPhone(String phone);
	Integer dailyReportList(Map<String, Object> searchParams);
	Integer dailyPersonReg(Map<String, Object> searchParams);
	PersonInfo findByEnterpriseId(String enterpriseId);
}