package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.RecruitInformationInfo;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface RecruitInformationInfoService {
	RecruitInformationInfo get(String id);
	boolean exist(String id);
	int insert(RecruitInformationInfo model);
	int update(RecruitInformationInfo model);
	int delete(String id);
	List<RecruitInformationInfo> list();
	Page<RecruitInformationInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<RecruitInformationInfo> pageSearchMobile(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Integer dailyReportList(Map<String, Object> searchParams);
	Integer sumJobRequirementNum(Map<String, Object> searchParams);
}