package com.jpsoft.employment.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.employment.modules.base.entity.TrainingInfo;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;

public interface TrainingInfoService {
	TrainingInfo get(String id);
	boolean exist(String id);
	int insert(TrainingInfo model);
	int update(TrainingInfo model);
	int delete(String id);
	List<TrainingInfo> list();
	Page<TrainingInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}